## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global realname riak_core


Name:		erlang-%{realname}
Version:	3.0.16
Release:	%autorelease
BuildArch:	noarch
Summary:	Distributed systems infrastructure used by Riak
# ./src/bloom.erl, ./src/riak_core_gen_server.erl is under ErlPL-1.1
# ./src/dvvset.erl, ./src/gen_nb_server.erl is under MIT
# ./src/riak_core_priority_queue.erl is under MPL-1.1
# The rest is under ASL2.0
License:	Apache-2.0 and ErlPL-1.1 and MIT and MPL-1.1
URL:		https://github.com/basho/%{realname}
VCS:		git:%{url}.git
Source0:	%{url}/archive/riak_kv-%{version}/%{realname}-%{version}.tar.gz
# Fedora-specific
Patch1:	erlang-riak_core-0001-Don-t-use-pbkdf2-as-application.patch
# Fedora-specific (unbundle mochiglobal)
Patch2:	erlang-riak_core-0002-Revert-Copy-in-mochiglobal-as-riak_core_mochiglobal.patch
# Fedora-specific (we have more directories to search for code artifacts)
Patch3:	erlang-riak_core-0003-Be-more-greedy-while-loading-schemas.patch
# Fedora-specific (we have more directories to search for code artifacts)
Patch4:	erlang-riak_core-0004-Load-cuttlefish-schemas-from-noarch-dir-as-well.patch
# Fedora-specific (very likely we will never have eqc packaged - it's proprietary)
Patch5:	erlang-riak_core-0005-Disable-eqc-rebar3-plugin.patch
Patch6: erlang-riak_core-0006-Don-t-threat-warnings-as-errors.patch
# https://github.com/basho/riak_core/pull/639
Patch7:	erlang-riak_core-0007-Use-poolboy-API-for-stopping-poolboy.patch
Patch8:	erlang-riak_core-0008-Ignore-completely-reply-value.patch
Patch9:	erlang-riak_core-0009-Fix-test-with-self-signed-certificates.patch
BuildRequires:	erlang-basho_stats >= 1.1.0
BuildRequires:	erlang-clique >= 0.3.12
BuildRequires:	erlang-cluster_info >= 2.1.0
BuildRequires:	erlang-eleveldb >= 3.0.10
BuildRequires:	erlang-exometer_core >= 1.6.1
BuildRequires:	erlang-folsom
BuildRequires:	erlang-hut
BuildRequires:	erlang-lager >= 3.8.0
BuildRequires:	erlang-meck
BuildRequires:	erlang-mochiweb
# FIXME not packaged - see patch no. 1
# BuildRequires:	erlang-pbkdf2 >= 2.1.0
BuildRequires:	erlang-poolboy >= 1.5.2
BuildRequires:	erlang-rebar3
BuildRequires:	erlang-riak_ensemble >= 3.0.10
BuildRequires:	erlang-riak_sysmon >= 2.2.1
BuildRequires:	openssl


%description
%{summary}.


%prep
%autosetup -p1 -n %{realname}-riak_kv-%{version}
# Exometer removed Folsom support
rm -f src/riak_core_exo_monitor.erl


%build
%{erlang3_compile}


%install
%{erlang3_install}
install -D -p -m 644 priv/riak_core.schema %{buildroot}%{erlang_appdir}/priv/riak_core.schema


%check
# Rebuild certificates
openssl req -x509 -newkey rsa:4096 -keyout ./test/site1-key.pem -out ./test/site1-cert.pem -sha256 -days 365 -subj "/CN=site1.example.com" -nodes
openssl req -x509 -newkey rsa:4096 -keyout ./test/site2-key.pem -out ./test/site2-cert.pem -sha256 -days 365 -subj "/CN=site1.example.com" -nodes

%{erlang3_test}


%files
%license LICENSE
%doc README.md docs/*
%{erlang_appdir}/


%changelog
## START: Generated by rpmautospec
* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 12 2019 Peter Lemenkov <lemenkov@gmail.com> - 2.1.10-10
- Rebuilt with fixed Rebar

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Sep 13 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.1.10-7
- Load schema files from noarch directories as well

* Tue Sep 11 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.1.10-6
- Get rid of folsom

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Jun 13 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 2.1.10-4
- Convert into a noarch package.
- Rebuild against the noarch lager (#1589611).

* Wed Mar 21 2018 Peter Lemenkov <lemenkov@gmail.com> - 2.1.10-3
- Rebuild for Erlang 20 (with proper builddeps)
- Fix FTBFS with Erlang 20

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Aug 13 2017 Peter Lemenkov <lemenkov@gmail.com> - 2.1.10-1
- Ver. 2.1.10

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 22 2016 Peter Lemenkov <lemenkov@gmail.com> - 2.1.5-1
- Ver. 2.1.5

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jul 02 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.2-1
- Ver. 1.3.2

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-2
- Fix webmachine dep

* Sun Mar 24 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.1-1
- Ver. 1.3.1

* Mon Mar 11 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.3.0-1
- Ver. 1.3.0

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1-4.p1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-3.p1
- Ver. 1.2.1p1

* Fri Oct 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-2
- Rebuild with new lager

* Wed Oct 10 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.1-1
- Ver. 1.2.1

* Wed Sep 05 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0

* Thu Jul 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-3
- Re-export one handy function

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 18 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.2-1
- Ver. 1.1.2

* Fri Feb 25 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.1-1
- Ver. 0.14.1

* Sat Jan 22 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.14.0-1
- Ver. 0.14.0
- Dropped upstreamed patch

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0.13.0-1
- Initial build


## END: Generated by rpmautospec
